# SpeexStereoState Struct Reference
[SpeexStereoState: Handling Speex stereo files]

`#include <speex_stereo.h>`

List of all members.

## Public Attributes

float | balance
float | e_ratio
float | smooth_left
float | smooth_right
float | reserved1
float | reserved2

## Detailed Description

If you access any of these fields directly, I'll personally come and bite you

## Member Data Documentation

float SpeexStereoState::balance

Left/right balance info

float SpeexStereoState::e_ratio

Ratio of energies: E(left+right)/[E(left)+E(right)]

float SpeexStereoState::smooth_left

Smoothed left channel gain

float SpeexStereoState::smooth_right

Smoothed right channel gain

float SpeexStereoState::reserved1

Reserved for future use

float SpeexStereoState::reserved2

Reserved for future use

The documentation for this struct was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/speex-1.2beta3/include/speex/speex_stereo.h